using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkOrderDetailsGetAlimmShareInfoDTO
{

    /*
        技术服务费比率
    */
    private string? alimmTechServiceRate;


    /*
        预估技术服务费
    */
    private string? alimmTechServicePreFee;


    /*
        结算技术服务费
    */
    private string? alimmTechServiceFee;


    /*
        渠道专项服务费比率
    */
    private string? alimmAgentServiceRate;


    /*
        预估渠道专项服务费
    */
    private string? alimmAgentServicePreFee;


    /*
        结算渠道专项服务费
    */
    private string? alimmAgentServiceFee;



    [JsonPropertyName("alimm_tech_service_rate")]
    public string? AlimmTechServiceRate
    {
        get => alimmTechServiceRate;
        set => this.alimmTechServiceRate = value;
    }

    [JsonPropertyName("alimm_tech_service_pre_fee")]
    public string? AlimmTechServicePreFee
    {
        get => alimmTechServicePreFee;
        set => this.alimmTechServicePreFee = value;
    }

    [JsonPropertyName("alimm_tech_service_fee")]
    public string? AlimmTechServiceFee
    {
        get => alimmTechServiceFee;
        set => this.alimmTechServiceFee = value;
    }

    [JsonPropertyName("alimm_agent_service_rate")]
    public string? AlimmAgentServiceRate
    {
        get => alimmAgentServiceRate;
        set => this.alimmAgentServiceRate = value;
    }

    [JsonPropertyName("alimm_agent_service_pre_fee")]
    public string? AlimmAgentServicePreFee
    {
        get => alimmAgentServicePreFee;
        set => this.alimmAgentServicePreFee = value;
    }

    [JsonPropertyName("alimm_agent_service_fee")]
    public string? AlimmAgentServiceFee
    {
        get => alimmAgentServiceFee;
        set => this.alimmAgentServiceFee = value;
    }

}

